=== packages/debian/changelog ===
mldonkey-cvs (20021004-6) unstable; urgency=low

  * can display the availability per chunk as height
  * can calculate the % availability ignoring already present chunks

 -- Goswin von Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Mon, 07 Oct 2002 02:34:39 +0200

mldonkey-cvs (20021004-3) unstable; urgency=low

  * /usr/bin/mldonkey: cd to ~/.mldonkey again
  *                    exec real mldonkey to free shell

 -- Goswin von Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Sat, 05 Oct 2002 01:21:39 +0200

mldonkey-cvs (20021004-2) unstable; urgency=low

  * /usr/bin/mldonkey: inervetd check for ~/.mldonkey

 -- Goswin von Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Sat, 05 Oct 2002 01:19:39 +0200

mldonkey-cvs (20021004-1) unstable; urgency=low

  * new upstream cvs
  * show age and last seen in gui
  * only query files in state DOWNLOAD
  * prevent SIGFPE due to division by zero
  * only start download after every block has been seen at least once

 -- Goswin von Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Fri, 04 Oct 2002 23:43:39 +0200

mldonkey-cvs (20020910-3) unstable; urgency=low

  * show age and last seen in the gui
  * update gui when file info chganges

 -- Goswin von Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Fri, 13 Sep 2002 11:46:39 +0200

mldonkey-cvs (20020910-2) unstable; urgency=low

  * don't query for paused files
  * only add file to clinets file_list if it has new chunks
  * only add file to clinets file_list if all chunks have been seen once

 -- Goswin von Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Wed, 11 Sep 2002 10:59:39 +0200

mldonkey-cvs (20020910-1) unstable; urgency=low

  * Initial Release

 -- Goswin von Brederlow <goswin.brederlow@student.uni-tuebingen.de>  Wed, 11 Sep 2002 10:59:39 +0200
