=== packages/debian/control ===
Source: mldonkey-cvs
Section: net
Priority: optional
Maintainer: Goswin von Brederlow <goswin.brederlow@student.uni-tuebingen.de>
Build-Depends: ocaml-native-compilers
Build-Depends-Indep: debhelper (>> 3.0.0), ocaml-3.06 | ocaml (>= 3.06-1), liblablgtk-ocaml-dev, gettext
Standards-Version: 3.5.2

Package: mldonkey-cvs
Architecture: any
Depends: ${shlibs:Depends}, perl
Conflicts: mldonkey, mldonkey-byte, mldonkey-cvs-byte
Description: Door to the 'donkey' network
 MLDonkey is a door to the 'donkey' network, a decentralized network used to
 exchange big files on the Internet. It is written in a wonderful language,
 called Objective-Caml, and present most features of the basic Windows donkey
 client, plus some more:
  - It should work on most UNIX-compatible platforms.
  - You can remotely command your client, either by telnet, on a WEB browser,
    or with the GTK interface. 
  - You can connect to several servers, and each search will query all the 
     connected servers.
  - You can select mp3s by bitrates in queries (useful ?).
  - You can select the name of a downloaded file before moving it to your
    incoming directory.
  - You can have several queries in the graphical user interface at the same
     time. 
  - You can remember your old queries results in the command-line interface.
  - You can search in the history of all files you have seen on the network.

Package: mldonkey-cvs-byte
Architecture: all
Depends: ${shlibs:Depends}, perl
Conflicts: mldonkey, mldonkey-cvs, mldonkey-byte
Description: Door to the 'donkey' network (byte compiled)
 MLDonkey is a door to the 'donkey' network, a decentralized network used to
 exchange big files on the Internet. It is written in a wonderful language,
 called Objective-Caml, and present most features of the basic Windows donkey
 client, plus some more:
  - It should work on most UNIX-compatible platforms.
  - You can remotely command your client, either by telnet, on a WEB browser,
    or with the GTK interface. 
  - You can connect to several servers, and each search will query all the 
     connected servers.
  - You can select mp3s by bitrates in queries (useful ?).
  - You can select the name of a downloaded file before moving it to your
    incoming directory.
  - You can have several queries in the graphical user interface at the same
     time. 
  - You can remember your old queries results in the command-line interface.
  - You can search in the history of all files you have seen on the network.

Package: mldonkey-cvs-gui
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: mldonkey-gui, mldonkey-gui-byte, mldonkey-cvs-gui-byte
Description: Graphical frontend for mldonkey based on GTK
 The GTK interface for mldonkey provides a convenient way of managing
 all mldonkey operations. It gives details about conected servers,
 downloaded files, friends and lets one search for files in a pleasing
 way.
